Bug 1461258 - (CVE-2017-7756) CVE-2017-7756 Mozilla: Use-after-free and use-after-scope logging XHR header errors (MFSA 2017-16)
CVE-2017-7756 Mozilla: Use-after-free and use-after-scope logging XHR header ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170614,repo...
: Security
Depends On:
Blocks: 1459420
  Show dependency treegraph
 
Reported: 2017-06-14 00:31 EDT by Huzaifa S. Sidhpurwala
Modified: 2017-10-11 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 02:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2017-06-14 00:31:38 EDT
A use-after-free and use-after-scope vulnerability when logging errors from headers for XML HTTP Requests (XHR). This could result in a potentially exploitable crash.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-16/#CVE-2017-7756


Acknowledgements:

Name: the Mozilla project
Upstream: Abhishek Arya
Comment 1 errata-xmlrpc 2017-06-14 03:53:22 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1440 https://access.redhat.com/errata/RHSA-2017:1440
Comment 2 errata-xmlrpc 2017-06-21 00:37:29 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1561 https://access.redhat.com/errata/RHSA-2017:1561

Note You need to log in before you can comment on or make changes to this bug.